var $AdfDhtmlPanelLabelAndMessagePeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlPanelLabelAndMessagePeer");
$goog$exportSymbol$$("AdfDhtmlPanelLabelAndMessagePeer", $AdfDhtmlPanelLabelAndMessagePeer$$);
$AdfDhtmlPanelLabelAndMessagePeer$$.$InitSubclass$ = function $$AdfDhtmlPanelLabelAndMessagePeer$$$$InitSubclass$$() {
  this.$_CONTENT_ID$ = "content";
  $AdfDhtmlPanelLabelAndMessagePeer$$.$_FOCUSABLE_ELEMENTS$ = {INPUT:!0, SELECT:!0, TEXTAREA:!0};
  $AdfRichUIPeer$$.$addComponentPropertyGetters$(this, AdfRichPanelLabelAndMessage.LABEL);
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichPanelLabelAndMessage.LABEL, AdfRichPanelLabelAndMessage.SHOW_REQUIRED);
};
$goog$exportSymbol$$("AdfDhtmlPanelLabelAndMessagePeer.InitSubclass", $AdfDhtmlPanelLabelAndMessagePeer$$.$InitSubclass$);
$AdfDhtmlPanelLabelAndMessagePeer$$.prototype.$InitDomElement$ = function $$AdfDhtmlPanelLabelAndMessagePeer$$$$$InitDomElement$$($component$$1771$$, $domElement$$392$$) {
  $AdfDhtmlPanelLabelAndMessagePeer$$.$superclass$.$InitDomElement$.call(this, $component$$1771$$, $domElement$$392$$);
  var $label$$inline_3508$$ = this.$_getLabelElement$($component$$1771$$, $domElement$$392$$);
  if (null != $label$$inline_3508$$) {
    var $forValue$$inline_3509_nodes$$inline_3513_rippedForValue$$inline_3511$$ = $label$$inline_3508$$.htmlFor;
    if ($forValue$$inline_3509_nodes$$inline_3513_rippedForValue$$inline_3511$$ && (forObject = $AdfAgent$$.$AGENT$.getElementById($forValue$$inline_3509_nodes$$inline_3513_rippedForValue$$inline_3511$$), null == forObject || !$AdfDhtmlPanelLabelAndMessagePeer$$.$_FOCUSABLE_ELEMENTS$[forObject.tagName])) {
      var $indexOfContent$$inline_3510_rippedDomElement$$inline_3512$$ = $forValue$$inline_3509_nodes$$inline_3513_rippedForValue$$inline_3511$$.length - 9;
      if (0 < $indexOfContent$$inline_3510_rippedDomElement$$inline_3512$$ && ($forValue$$inline_3509_nodes$$inline_3513_rippedForValue$$inline_3511$$ = $forValue$$inline_3509_nodes$$inline_3513_rippedForValue$$inline_3511$$.substring(0, $indexOfContent$$inline_3510_rippedDomElement$$inline_3512$$), $indexOfContent$$inline_3510_rippedDomElement$$inline_3512$$ = $AdfAgent$$.$AGENT$.getElementById($forValue$$inline_3509_nodes$$inline_3513_rippedForValue$$inline_3511$$), null != $indexOfContent$$inline_3510_rippedDomElement$$inline_3512$$)) {
        if ($AdfDhtmlPanelLabelAndMessagePeer$$.$_FOCUSABLE_ELEMENTS$[$indexOfContent$$inline_3510_rippedDomElement$$inline_3512$$.tagName]) {
          $label$$inline_3508$$.htmlFor = $forValue$$inline_3509_nodes$$inline_3513_rippedForValue$$inline_3511$$;
        } else {
          for ($forValue$$inline_3509_nodes$$inline_3513_rippedForValue$$inline_3511$$ = $indexOfContent$$inline_3510_rippedDomElement$$inline_3512$$.childNodes, i = 0;i < $forValue$$inline_3509_nodes$$inline_3513_rippedForValue$$inline_3511$$.length;i++) {
            if ($AdfDhtmlPanelLabelAndMessagePeer$$.$_FOCUSABLE_ELEMENTS$[$forValue$$inline_3509_nodes$$inline_3513_rippedForValue$$inline_3511$$[i].tagName]) {
              $label$$inline_3508$$.htmlFor = $forValue$$inline_3509_nodes$$inline_3513_rippedForValue$$inline_3511$$[i].id;
              break;
            }
          }
        }
      }
    }
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelLabelAndMessagePeer.prototype.InitDomElement", {$InitDomElement$:$AdfDhtmlPanelLabelAndMessagePeer$$.prototype.$InitDomElement$});
$AdfDhtmlPanelLabelAndMessagePeer$$.prototype.$GetInlineEditor$ = function $$AdfDhtmlPanelLabelAndMessagePeer$$$$$GetInlineEditor$$() {
  return $AdfDhtmlSimpleLabelEditor$$.$getInlineEditor$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelLabelAndMessagePeer.prototype.GetInlineEditor", {$GetInlineEditor$:$AdfDhtmlPanelLabelAndMessagePeer$$.prototype.$GetInlineEditor$});
$AdfDhtmlPanelLabelAndMessagePeer$$.prototype.$GetComponentLabel$ = function $$AdfDhtmlPanelLabelAndMessagePeer$$$$$GetComponentLabel$$($component$$1772$$, $domElement$$393$$) {
  var $labelElement$$5$$ = this.$_getLabelElement$($component$$1772$$, $domElement$$393$$);
  return null != $labelElement$$5$$ ? $AdfAgent$$.$AGENT$.$getTextContent$($labelElement$$5$$) : null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelLabelAndMessagePeer.prototype.GetComponentLabel", {$GetComponentLabel$:$AdfDhtmlPanelLabelAndMessagePeer$$.prototype.$GetComponentLabel$});
$AdfDhtmlPanelLabelAndMessagePeer$$.prototype.$_getLabelElement$ = function $$AdfDhtmlPanelLabelAndMessagePeer$$$$$_getLabelElement$$($component$$1773$$, $domElement$$394$$) {
  var $forAttrValue_forSubId$$ = $component$$1773$$.getFor(), $labelElem$$3$$ = null;
  $forAttrValue_forSubId$$ && ($forAttrValue_forSubId$$ = $AdfRichUIPeer$$.$CreateSubId$($forAttrValue_forSubId$$, $AdfDhtmlPanelLabelAndMessagePeer$$.$_CONTENT_ID$), $labelElem$$3$$ = $AdfDomUtils$$.$getChildElementByAttributeValue$($domElement$$394$$, "for", $forAttrValue_forSubId$$, "LABEL"));
  return $labelElem$$3$$;
};
